---
title: text-align
slug: Web/CSS/text-align
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-align</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the horizontal alignment of a block element or table-cell box. This means it works like {{cssxref("vertical-align")}} but in the horizontal direction.</p>

<div>{{EmbedInteractiveExample("pages/css/text-align.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
text-align: left;
text-align: right;
text-align: center;
text-align: justify;
text-align: justify-all;
text-align: start;
text-align: end;
text-align: match-parent;

/* Character-based alignment in a table column */
text-align: ".";
text-align: "." center;

/* Block alignment values (Non-standard syntax) */
text-align: -moz-center;
text-align: -webkit-center;

/* Global values */
text-align: inherit;
text-align: initial;
text-align: unset;
</pre>

<p>The <code>text-align</code> property is specified in one of the following ways:</p>

<ul>
 <li>Using the keyword values <code><a href="#start">start</a></code>, <code><a href="#end">end</a></code>, <code><a href="#left">left</a></code>, <code><a href="#right">right</a></code>, <code><a href="#center">center</a></code>, <code><a href="#justify">justify</a></code>, <code><a href="#justify-all">justify-all</a></code>, or <code><a href="#match-parent">match-parent</a></code>.</li>
 <li>Using a <code><a href="#string">&lt;string&gt;</a></code> value only, in which case the other value defaults to <code><a href="#right">right</a></code>.</li>
 <li>Using both a keyword value and a <code><a href="#string">&lt;string&gt;</a></code> value.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt id="start"><code>start</code> {{experimental_inline}}</dt>
 <dd>The same as <code>left</code> if direction is left-to-right and <code>right</code> if direction is right-to-left.</dd>
 <dt id="end"><code>end</code> {{experimental_inline}}</dt>
 <dd>The same as <code>right</code> if direction is left-to-right and <code>left</code> if direction is right-to-left.</dd>
 <dt id="left"><code>left</code></dt>
 <dd>The inline contents are aligned to the left edge of the line box.</dd>
 <dt id="right"><code>right</code></dt>
 <dd>The inline contents are aligned to the right edge of the line box.</dd>
 <dt id="center"><code>center</code></dt>
 <dd>The inline contents are centered within the line box.</dd>
 <dt id="justify"><code>justify</code></dt>
 <dd>The inline contents are justified. Text should be spaced to line up its left and right edges to the left and right edges of the line box, except for the last line.</dd>
 <dt id="justify-all"><code>justify-all</code> {{experimental_inline}}</dt>
 <dd>Same as <code>justify</code>, but also forces the last line to be justified.</dd>
 <dt id="match-parent"><code>match-parent</code> {{experimental_inline}}</dt>
 <dd>Similar to <code>inherit</code>, but the values <code>start</code> and <code>end</code> are calculated according to the parent's {{cssxref("direction")}} and are replaced by the appropriate <code>left</code> or <code>right</code> value.</dd>
 <dt id="string">{{cssxref("&lt;string&gt;")}} {{experimental_inline}}</dt>
 <dd>When applied to a table cell, specifies the alignment character around which the cell's contents will align.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>The inconsistent spacing between words created by justified text can be problematic for people with cognitive concerns such as Dyslexia.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-visual-presentation.html">Understanding Success Criterion 1.4.8 | Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Left_alignment">Left alignment</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="example"&gt;
  Integer elementum massa at nulla placerat varius.
  Suspendisse in libero risus, in interdum massa.
  Vestibulum ac leo vitae metus faucibus gravida ac in neque.
  Nullam est eros, suscipit sed dictum quis, accumsan a ligula.
&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight:[2] notranslate">.example {
  text-align: left;
  border: solid;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Left_alignment","100%","100%")}}</p>

<h3 id="Centered_text">Centered text</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="example"&gt;
  Integer elementum massa at nulla placerat varius.
  Suspendisse in libero risus, in interdum massa.
  Vestibulum ac leo vitae metus faucibus gravida ac in neque.
  Nullam est eros, suscipit sed dictum quis, accumsan a ligula.
&lt;/p&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css; highlight:[2] notranslate">.example {
  text-align: center;
  border: solid;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Centered_text","100%","100%")}}</p>

<h3 id="Justify">Justify</h3>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="example"&gt;
  Integer elementum massa at nulla placerat varius.
  Suspendisse in libero risus, in interdum massa.
  Vestibulum ac leo vitae metus faucibus gravida ac in neque.
  Nullam est eros, suscipit sed dictum quis, accumsan a ligula.
&lt;/p&gt;</pre>

<h4 id="CSS_3">CSS</h4>

<pre class="brush: css; highlight:[2] notranslate">.example {
  text-align: justify;
  border: solid;
}</pre>

<h4 id="Result_3">Result</h4>

<p>{{EmbedLiveSample("Justify","100%","100%")}}</p>

<h3 id="Notes">Notes</h3>

<p>The standard-compatible way to center a block itself without centering its inline content is setting the left and right {{cssxref("margin")}} to <code>auto</code>, e.g.:</p>

<pre class="brush: css notranslate">.something {
  margin: auto;
}
</pre>

<pre class="brush: css notranslate">.something {
  margin: 0 auto;
}
</pre>

<pre class="brush: css notranslate">.something {
  margin-left: auto;
  margin-right: auto;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Logical Properties', '#text-align', 'text-align')}}</td>
   <td>{{Spec2('CSS Logical Properties')}}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Text', '#alignment', 'text-align')}}</td>
   <td>{{Spec2('CSS4 Text')}}</td>
   <td>Added the <code>&lt;string&gt;</code> value.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Text', '#text-align-property', 'text-align')}}</td>
   <td>{{Spec2('CSS3 Text')}}</td>
   <td>Added the <code>start</code>, <code>end</code>, and <code>match-parent</code> values. Changed the unnamed initial value to <code>start</code> (which it was).</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'text.html#alignment-prop', 'text-align')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#text-align', 'text-align')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-align")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("margin","margin: auto")}}, {{Cssxref("margin-left","margin-left: auto")}}, {{Cssxref("vertical-align")}}</li>
</ul>
